----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date: 23.05.2022 16:09:57
-- Design Name: 
-- Module Name: FSM_Hamming3 - Behavioral
-- Project Name: 
-- Target Devices: 
-- Tool Versions: 
-- Description: 
-- 
-- Dependencies: 
-- 
-- Revision:
-- Revision 0.01 - File Created
-- Additional Comments:
-- 
----------------------------------------------------------------------------------


library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

-- Uncomment the following library declaration if using
-- arithmetic functions with Signed or Unsigned values
--use IEEE.NUMERIC_STD.ALL;

-- Uncomment the following library declaration if instantiating
-- any Xilinx leaf cells in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity FSM_Hamming3 is 
 generic (N: integer := 3); 
 port (
    rst          : in std_logic;
    clk          : in std_logic;
    play         : in std_logic;
    state_out    : out std_logic_vector(N-1 downto 0);
    
    error_inject : in std_logic;
    error_data   : in std_logic_vector(1 downto 0);
    alarm        : out std_logic    
);
end FSM_Hamming3;

architecture Behavioral of FSM_Hamming3 is

constant s0 : std_logic_vector(2 downto 0) := "000";
constant s1 : std_logic_vector(2 downto 0) := "001";
constant s2 : std_logic_vector(2 downto 0) := "010";
constant s3 : std_logic_vector(2 downto 0) := "011";
constant s4 : std_logic_vector(2 downto 0) := "100";
constant s5 : std_logic_vector(2 downto 0) := "101";
constant s6 : std_logic_vector(2 downto 0) := "110";
constant s7 : std_logic_vector(2 downto 0) := "111"; 

signal current_state : std_logic_vector(2 downto 0); 
signal next_state    : std_logic_vector(2 downto 0); 
signal current_state_corr : std_logic_vector(2 downto 0); 


signal p : std_logic_vector(2 downto 0);
signal s : std_logic_vector(2 downto 0);

begin

-- State sequence: s0-s1-s2-s3-s4-s5-s6-s7-s0-...
next_state <= current_state + "001";

-- Uncomment the following lines to enable error correction code
--s(0) <= current_state(0) XOR current_state(1) XOR p(0);
--s(1) <= current_state(0) XOR current_state(2) XOR p(1);
--s(2) <= current_state(1) XOR current_state(2) XOR p(2);
	  
--current_state_corr <= current_state XOR "001" when s = "011" else
--                      current_state XOR "010" when s = "101" else
--                      current_state XOR "100" when s = "110" else 
--                      current_state;

--next_state <= current_state_corr + "001";                     
              
process(rst, clk)
begin 
  if rst = '1' then 
    current_state <= s0;
    -- Uncomment the following line to enable error correction code
    --p <= (others => '0');
	
  elsif rising_edge(clk) then

    if play  = '1' then 
      current_state <= next_state;
      -- Uncomment the following lines to enable error correction code
	  --p(0) <= next_state(0) XOR next_state(1);
	  --p(1) <= next_state(0) XOR next_state(2);
	  --p(2) <= next_state(1) XOR next_state(2);

    elsif error_inject = '1' then
      current_state(1 downto 0) <= current_state(1 downto 0) XOR error_data;
    end if;

  end if;
end process;

state_out <= current_state & p;

alarm <= '0';
-- Uncomment the following lines to enable error correction code
-- alarm <= '1' when (s /= "000") else
--         '0';

end Behavioral;
